version: 1
rule_groups:
- name: Sample Rule 1
  rules:
  - priority: 100
    name: Password-protected files are held for 10 minutes only
    action:
      type: suspend
      attribute:
        auto_release: true
        duration: 10m
    predicate: and
    predicates:
    - target: attachment
      predicate: all-password-protected-data
      pattern: ""
      count: 0
  - priority: 110
    name: 10-minute hold and attachment encryption
    action:
      type: suspend
      attribute:
        auto_release: true
        duration: 10m
      encrypt: true
    predicate: all